from AccessControl import ModuleSecurityInfo
from Globals import InitializeClass
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils as cmf_utils

from Products.Archetypes import public as atapi

import config

stickies_globals = globals()
registerDirectory('skins', stickies_globals)

from Products.PloneStickies.StickiesTool import StickiesTool

tools = (StickiesTool,)

def initialize(context):
    ##Import Types here to register them
    # import pdb; pdb.set_trace()
    import types

    content_types, constructors, ftis = atapi.process_types(
        atapi.listTypes(config.PROJECTNAME),
        config.PROJECTNAME)

    cmf_utils.ContentInit(
        config.PROJECTNAME + ' Content',
        content_types      = content_types,
        # prolly want an annotation perm
        permission         = config.ADD_STICKY_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)

    cmf_utils.ToolInit(config.PROJECTNAME + " Tool", tools=tools,
                   product_name=config.PROJECTNAME,
                   icon="tool.gif",
                   ).initialize(context)
