## Script (Python) "submitSticky"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=targetUID=None,redirect_to=None,portal_status_message="Your sticky has been saved"
##title=get assets for a particular question

"""
creates/updates a sticky note

by default assumes you are trying to stick a note on the current context,
where the current context is an AT derived object

I should really handle workflow transitions as well, but lets leave this be for now.

"""
from Products.Archetypes.debug import log

request = context.REQUEST

if not targetUID:
    target = context
    targetUID = target.UID()

log ("context=%s (%s), redirect_to=%s, targetUID =%s" % (context, context.Title(), redirect_to,targetUID))

s_tool = context.stickies_tool
sticky = s_tool.getSticky(targetUID)

log(sticky)

if not sticky:
    sticky = s_tool.createNewSticky(targetUID)

# log("submitSticky sticky.id = %s" % sticky)
sticky.processForm(REQUEST=request)

# figure out if we are creating or updating

# Optionally set the default next action (this can be overridden in the ZMI)

if not redirect_to:
    state.setNextAction('redirect_to_action:string:view')
else:
    state.setNextAction('redirect_to:string:%s' % redirect_to)



return state.set(status='success',
                 portal_status_message=portal_status_message)
